Subject: Re: Error / feature-request: Signing git commits with SSH hardware key

From: Nicolas Graves <[email-masked]>
Date: Tue, 11 Oct 2022 23:54:27 +0200

On 2022-10-11 20:41, brian m. carlson wrote:

> Could you maybe mention what version of OpenSSH you're using and on what
> platform?  I used 9.0p1, and as I mentioned, it's Linux.  The output
> looks like so:

I currently use this version on Guix (so Linux):
OpenSSH_8.9p1, OpenSSL 1.1.1q  5 Jul 2022

The errors occurs when I try to "really" commit using magit or git
through the command line.

hint: Waiting for your editor to close the file...
Waiting for Emacs...
error: Couldn't load public key [email-masked] AAAAG[..]zaDo=: No such file or directory?

fatal: failed to write commit object

Now if I try this command:
>   $ git verify-commit --raw HEAD

I get the following:
error: gpg.ssh.allowedSignersFile needs to be configured and exist for ssh signature verification

It's possible that my config is not complete, I remember not having
necessarily done the part with allowedsigners (which is not necessary
for an ed25519 "simple" key apparently). I'll take a look, and come back
to you. 

-- 
Best regards,
Nicolas Graves